extends Node

var state = 0
var clicked = false

const image_scale_x = 0.314
const image_scale_y = 0.314

# Called when the node enters the scene tree for the first time.
#func _ready():
#	pass

# Called every frame. 'delta' is the elapsed time since the previous frame.
#func _process(delta):
#	pass

func _input_event(viewport,event,shape_idx):
	if event.is_action_pressed("MouseClick"):
		set_clicked(true)
#		print('Clicked on ' + name + " , State: " + str(state))

func change_state(var new_state):
	if new_state == 0:
		state = 0
	
	if state == 0:
		state = new_state
	elif state == 1 and new_state == 2:
		state = 3
	elif state == 2 and new_state == 1:
		state = 3
	
	change_image()

func set_clicked(var click_to_set):
	clicked = click_to_set

func change_image():
	if state == 0:
#		$Sprite.texture = load("res://images/placeholders/0-empty-placeholder.jpeg")
		$Sprite.texture = load("res://images/icons/empty.png")
	elif state == 1:
#		$Sprite.texture = load("res://images/placeholders/1-home-placeholder.png")
		$Sprite.texture = load("res://images/icons/house.png")
	elif state == 2:
#		$Sprite.texture = load("res://images/placeholders/2-heart-placeholder.png")
		$Sprite.texture = load("res://images/icons/heart.png")
	elif state == 3:
#		$Sprite.texture = load("res://images/placeholders/3-home-and-heart-placeholder.png")
		$Sprite.texture = load("res://images/icons/house_heart.png")
	
	$Sprite.scale.x = image_scale_x
	$Sprite.scale.y = image_scale_y